Subject: Survival BLANKET Holds 90% of Body Heat (NASA Design)

From: "Handy Survival Blanket" <[email-masked]>
Date: Thu, 19 Jan 2017 13:54:03 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.